EDIT - bug #8158

cascade="all-delete-orphan" problem when ....
03/01/2019 07:17 AM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Priority13 Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.6

Severity: major Found in Version:

Description

| seem to remember that | did the following:

1. RegistrationWorkingsetEditor at
http://api.phycobank.org/phycobank/app/reqistration#!workingset/1e1ea80f-4929-4d83-ab35-ae0391e1275b while working on
#8155

. open type designation editor for http://phycobankl.org/100992

close

. open blocking registrations

.wait ...

. open type designation editor for http://phycobankl.org/100992

o UAWN

i did not try to reproduce this

[phycobank] 2019-02-28 16:20:48,846 WARN [net.sf.ehcache.config.CacheConfiguration] - Cache: eu.et
axonomy.cdm.vaadin.view.name.SpecimenTypeDesignationWorkingsetEditorPresenter1443081017 has a maxE
lementsInMemory of 0. This might lead to performance degradation or OutOfMemoryError at Terracotta
client.From Ehcache 2.0 onwards this has been changed to mean a store with no capacity limit. Set
it to 1 if you want no elements cached in memory
[phycobank] 2019-02-28 16:20:48,883 INFO [eu.etaxonomy.cdm.cache.CdmTransientEntityCacher] - Cdm E
ntity with id : 790 already exists in permanent cache. Ignoring put.
[phycobank] 2019-02-28 16:20:48,883 INFO [eu.etaxonomy.cdm.cache.CdmTransientEntityCacher] - Cdm E
ntity with id : 273 already exists in permanent cache. Ignoring put.
[phycobank] 2019-02-28 16:20:48,883 INFO [eu.etaxonomy.cdm.cache.CdmTransientEntityCacher] - Cdm E
ntity with id : 853 already exists in permanent cache. Ignoring put.
[phycobank] 2019-02-28 16:20:48,917 ERROR [com.flowingcode.vaadin.addons.errorwindow.ErrorWindow]
- Error occurred 8ecb2797-9d64-45ce-bc8e-b812653fclOce
com.vaadin.event.ListenerMethod$MethodException: Invocation of method buttonClick in eu.etaxonomy.
cdm.vaadin.view.registration.RegistrationWorksetViewBean$$Lambda$193/1653176108 failed.

at com.vaadin.event.ListenerMethod.receiveEvent (ListenerMethod. java:533)

at com.vaadin.event.EventRouter.fireEvent (EventRouter.java:200)

at com.vaadin.event.EventRouter.fireEvent (EventRouter.java:163)

at com.vaadin.server.AbstractClientConnector.fireEvent (AbstractClientConnector.java:1015)

at com.vaadin.ui.Button.fireClick (Button.java:377)

at com.vaadin.ui.Button$l.click (Button.java:54)

at sun.reflect.GeneratedMethodAccessor716.invoke (Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at com.vaadin.server.ServerRpcManager.applyInvocation (ServerRpcManager. java:158)

at com.vaadin.server.ServerRpcManager.applyInvocation (ServerRpcManager. java:119)

at com.vaadin.server.communication.ServerRpcHandler.handleInvocation (ServerRpcHandler. java
:437)

at com.vaadin.server.communication.ServerRpcHandler.handleInvocations (ServerRpcHandler. jav
a:402)

at com.vaadin.server.communication.ServerRpcHandler.handleRpc (ServerRpcHandler. java:273)

at com.vaadin.server.communication.UidlRequestHandler.synchronizedHandleRequest (UidlReques
tHandler.java:90)

at com.vaadin.server.SynchronizedRequestHandler.handleRequest (SynchronizedRequestHandler. j
ava:41)

at com.vaadin.server.VaadinService.handleRequest (VaadinService. java:1435)

at com.vaadin.server.VaadinServlet.service (VaadinServlet.java:380)

at javax.servlet.http.HttpServlet.service (HttpServlet.java:790)
at org.eclipse.jetty.servlet.ServletHolder.handle (ServletHolder. java:808)

at org.eclipse. jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler.java:1669)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterCha
inProxy.java:316)

at org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke (Filt
erSecurityInterceptor.java:126)

at org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter (Fi
lterSecurityInterceptor. java:90)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterCha
inProxy.java:330)

at org.springframework.security.web.access.ExceptionTranslationFilter.doFilter (ExceptionTr
anslationFilter.java:114)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterCha
inProxy. java:330)

at org.springframework.security.web.session.SessionManagementFilter.doFilter (SessionManage
mentFilter.java:122)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterCha
inProxy.java:330)

at org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter (
AnonymousAuthenticationFilter. java:111)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterCha
inProxy. java:330)

at org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doF
ilter (SecurityContextHolderAwareRequestFilter. java:169)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterCha
inProxy.java:330)

at org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter (RequestC
acheAwareFilter. java:48)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterCha
inProxy.java:330)

at org.springframework.security.web.authentication.www.BasicAuthenticationFilter.doFilterI
nternal (BasicAuthenticationFilter.java:158)

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter. java:
107)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterCha
inProxy.java:330)

at org.springframework.security.ocauth2.provider.authentication.OAuth2AuthenticationProcess
ingFilter.doFilter (OAuth2AuthenticationProcessingFilter.java:176)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterCha
inProxy.java:330)

at org.springframework.security.web.authentication.logout.LogoutFilter.doFilter (LogoutFilt
er.java:120)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterCha
inProxy.java:330)

at org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal (HeaderWrite
rFilter.java:64)

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter. java:
107)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterCha
inProxy.java:330)

at org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter (Secu
rityContextPersistenceFilter.java:91)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterCha
inProxy. java:330)

at org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter
.doFilterInternal (WebAsyncManagerIntegrationFilter.java:53)

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter. java:
107)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterCha
inProxy.java:330)

at org.springframework.security.web.FilterChainProxy.doFilterInternal (FilterChainProxy. jav
a:213)

at org.springframework.security.web.FilterChainProxy.doFilter (FilterChainProxy.java:176)

at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate (DelegatingFilterPro
xy.Jjava:346)

at org.springframework.web.filter.DelegatingFilterProxy.doFilter (DelegatingFilterProxy. jav
a:262)
at
at

org.eclipse. jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler. java:1652)
org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal (CharacterEncodi

ngFilter.java:121)

at
107)
at
at
at
at
at
at
at
at
at
at
at

org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter. java:

org.eclipse. jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler. java:1652)
org.eclipse. jetty.servlet.ServletHandler.doHandle (ServletHandler. java:585)

org.eclipse. jetty.server.handler.ScopedHandler.handle (ScopedHandler. java:143)
org.eclipse. jetty.security.SecurityHandler.handle (SecurityHandler. java:577)
org.eclipse. jetty.server.session.SessionHandler.doHandle (SessionHandler. java:223)
org.eclipse. jetty.server.handler.ContextHandler.doHandle (ContextHandler.java:1127)
org.eclipse.jetty.servlet.ServletHandler.doScope (ServletHandler.java:515)

org.eclipse. jetty.server.session.SessionHandler.doScope (SessionHandler. java:185)
org.eclipse. jetty.server.handler.ContextHandler.doScope (ContextHandler. java:1061)
org.eclipse. jetty.server.handler.ScopedHandler.handle (ScopedHandler. java:141)
org.eclipse. jetty.server.handler.ContextHandlerCollection.handle (ContextHandlerCollecti

on.java:215)

at
at
at
at
at
at
at
at
Caused by:
at
at
at
at
at
at
at
at
at

org.eclipse. jetty.server.handler.HandlerWrapper.handle (HandlerWrapper.java:97)
org.eclipse. jetty.server.Server.handle (Server.java:497)

org.eclipse. jetty.server.HttpChannel.handle (HttpChannel. java:310)

org.eclipse. jetty.server.HttpConnection.onFillable (HttpConnection. java:257)
org.eclipse. jetty.io.AbstractConnection$2.run (AbstractConnection. java:540)
org.eclipse. jetty.util.thread.QueuedThreadPool.runJob (QueuedThreadPool. java:635)
org.eclipse.jetty.util.thread.QueuedThreadPool$3. run (QueuedThreadPool. java:555)
java.lang.Thread.run (Thread. java:748)

com.vaadin.data.Buffered$SourceException
com.vaadin.ui.AbstractField.setPropertyDataSource (AbstractField. java:664)
com.vaadin.data.fieldgroup.FieldGroup.bind (FieldGroup.java:273)
com.vaadin.data.fieldgroup.BeanFieldGroup.bind (BeanFieldGroup. java:155)
com.vaadin.data.fieldgroup.FieldGroup.bindFields (FieldGroup. java:113)
com.vaadin.data.fieldgroup.FieldGroup.setItemDataSource (FieldGroup. java:103)
com.vaadin.data.fieldgroup.BeanFieldGroup.setItemDataSource (BeanFieldGroup. java:126)
com.vaadin.data.fieldgroup.BeanFieldGroup.setItemDataSource (BeanFieldGroup. java:119)
eu.etaxonomy.vaadin.mvp.AbstractPopupEditor.loadInEditor (AbstractPopupkEditor. java:811)
eu.etaxonomy.cdm.vaadin.view.registration.RegistrationWorkingsetPresenter.onTypeDesigna

tionWorkingsetAdd (RegistrationWorkingsetPresenter.java:627)

at

at

at

at

at
ava:78)

at

at
at
at

sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)
sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)
sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)
java.lang.reflect.Method. invoke (Method. java:498)
org.vaadin.spring.events.internal.MethodListenerWrapper.publish (MethodListenerWrapper.j

org.vaadin.spring.events.internal.ListenerCollection.publish(ListenerCollection. java:16
org.vaadin.spring.events.internal.ScopedEventBus.publish (ScopedEventBus. java:116)

org.vaadin.spring.events.internal.ScopedEventBus.publish (ScopedEventBus. java:109)
eu.etaxonomy.cdm.vaadin.view.registration.RegistrationWorksetViewBean.addNewTypeDesigna

tionWorkingset (RegistrationWorksetViewBean. java:503)

at

eu.etaxonomy.cdm.vaadin.view.registration.RegistrationWorksetViewBean.lambda$chooseNewT

ypeRegistrationWorkingset$ac0bb2405$1 (RegistrationWorksetViewBean. java:483)

at
at
at
at

Caused by:

sun.reflect.GeneratedMethodAccessor681l.invoke (Unknown Source)
sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)
java.lang.reflect.Method.invoke (Method. java:498)
com.vaadin.event.ListenerMethod.receiveEvent (ListenerMethod. java:510)

75 more
org.hibernate.HibernateException: A collection with cascade="all-delete-orphan" was no

longer referenced by the owning entity instance: eu.etaxonomy.cdm.model.common.DefinedTermBase.rep
resentations

at
a:99)

at
:50)

at

org.hibernate.engine.internal.Collections.processDereferencedCollection(Collections. jav
org.hibernate.engine.internal.Collections.processUnreachableCollection(Collections. java

org.hibernate.event.internal.AbstractFlushingEventListener.flushCollections (AbstractFlu

shingEventListener. java:243)

at

org.hibernate.event.internal.AbstractFlushingEventListener.flushEverythingToExecutions (

AbstractFlushingEventListener. java:86)

at
EventListener. java:44)

at org.hibernate.internal.SessionImpl.autoFlushIfRequired(SessionImpl.java:1251)

at org.hibernate.internal.SessionImpl.list (SessionImpl.java:1767)

at org.hibernate.internal.CriterialImpl.list (CriteriaImpl.java:363)

at eu.etaxonomy.cdm.persistence.dao.hibernate.common.CdmEntityDaoBase.findByUuid (CdmEntity
DaoBase. java:423)

at eu.etaxonomy.cdm.persistence.dao.hibernate.common.CdmEntityDaoBase.load (CdmEntityDaoBas
e.java:771)

at eu.etaxonomy.cdm.persistence.dao.hibernate.common.VersionableDaoBase.load (VersionableDa
oBase.java:113)

at eu.etaxonomy.cdm.persistence.dao.hibernate.common.VersionableDaoBase.load (VersionableDa
oBase.java:106)

at eu.etaxonomy.cdm.persistence.dao.hibernate.common.VersionableDaoBase.load (VersionableDa
oBase.java:36)

at eu.etaxonomy.cdm.api.service.ServiceBase.load(ServiceBase. java:214)

at sun.reflect.GeneratedMethodAccessor746.invoke (Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection (AopUtils. java:3
02)

at org.springframework.aop.framework.ReflectiveMethodInvocation.invokeJoinpoint (Reflective
MethodInvocation. java:190)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodIn
vocation.java:157)

at org.springframework.transaction.interceptor.TransactionInterceptor$l.proceedWithInvocat
ion(TransactionInterceptor.java:99)

at org.springframework.transaction.interceptor.TransactionAspectSupport.invokeWithinTransa
ction(TransactionAspectSupport. java:281)

at org.springframework.transaction.interceptor.TransactionInterceptor.invoke (TransactionIn
terceptor. java:96)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodIn
vocation.java:179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:208

at com.sun.proxy.S$Proxyl70.load (Unknown Source)

at eu.etaxonomy.cdm.vaadin.component.CdmBeanItemContainerFactory.buildTermItemContainer (Cd
mBeanItemContainerFactory.java:89)

at eu.etaxonomy.cdm.vaadin.view.name.SpecimenTypeDesignationWorkingsetEditorPresenterS$l.cr
eate (SpecimenTypeDesignationWorkingsetEditorPresenter. java:214)

at eu.etaxonomy.cdm.vaadin.view.name.SpecimenTypeDesignationWorkingsetEditorPresenter$l.cr
eate (SpecimenTypeDesignationWorkingsetEditorPresenter. java:207)

at org.vaadin.viritin.fields.AbstractElementCollection.createEditorInstance (AbstractElemen
tCollection. java:282)

at org.vaadin.viritin.fields.AbstractElementCollection.getFieldGroupFor (AbstractElementCol
lection.java:327)

at org.vaadin.viritin.fields.ElementCollectionField.addInternalElement (ElementCollectionFi
eld.java:101)

at org.vaadin.viritin.fields.ElementCollectionField.onElementAdded (ElementCollectionField.
java:293)

at org.vaadin.viritin.fields.AbstractElementCollection.setInternalValue (AbstractElementCol
lection. java:444)

at org.vaadin.viritin.fields.AbstractElementCollection.setInternalValue (AbstractElementCol
lection. java:45)

at com.vaadin.ui.AbstractField.setPropertyDataSource (AbstractField. java:657)

97 more

Related issues:
Related to EDIT - bug #8075: multiple cascade all-delete-orphan exceptions re... Closed
Is duplicate of EDIT - bug #8160: CdmBeanltemContainerFactory as readonly ser... Closed

History

#1 - 03/01/2019 07:17 AM - Andreas Kohlbecker
- Tags set to phycobank

- Severity changed from normal to major
#2 - 03/01/2019 07:30 AM - Andreas Kohlbecker

- Description updated

#3 - 03/01/2019 04:38 PM - Andreas Kohlbecker

- Related to bug #8075: multiple cascade all-delete-orphan exceptions related to DefinedTermBase.representations added

#4 - 03/05/2019 10:55 AM - Andreas Kohlbecker

- Is duplicate of bug #8160: CdmBeanltemContainerFactory as readonly service bean added

#5 - 03/05/2019 10:55 AM - Andreas Kohlbecker
- Priority changed from New to Highest

- Target version changed from Unassigned CDM tickets to Release 5.6
potentially duplicate of #8160

#6 - 03/22/2019 07:57 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- Priority changed from Highest to Priority13

- % Done changed from 0 to 10

potentially fixed through the changes made for #8160, #7106

#7 - 05/16/2019 01:59 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 10 to 100

the cascade="all-delete-orphan" problems did not occur again
